ACL_SET_TAG_TYPE(3)

NAME
acl_set_tag_type - set the tag type of an ACL entry

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_set_tag_type(acl_entry_t entry_d, acl_tag_t tag_type);

DESCRIPTION
The acl_set_tag_type() function sets the tag type of the ACL entry indicated by the argument entry_d to the value of the argument tag_type.

Any ACL entry descriptors that refer to the entry referred to by entry_d continue to refer to that entry.

RETURN VALUE

ERRORS
If any of the following conditions occur, the acl_set_tag_type() function returns -1 and sets errno to the corresponding value:

[EINVAL]
    The argument entry_d is not a valid descriptor for an ACL entry.

    The argument tag_type is not a valid tag type.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_create_entry(3), acl_get_permset(3), acl_get_qualifier(3), acl_get_tag_type(3), acl_set_entry(3), acl_set_permset(3), acl_set_qualifier(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <andreas.gruenbacher@gmail.com>.